Rebuilding faild 'bundle exec rake db:migrate' failed with return #<Process::Status: pid 4979 exit 1>

rebuilding failed don’t know the reason my site is down
here’s the log


I have reboot the server but that doesn’t fix the error
@pfaffman plz help

You have to scroll up and paste here the earlier error messages.

Happy to help. Automatic Rebuilds when They Are Needed — Literate Computing, LLC

1 Like

@Falco @pfaffman
here is log

/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/tasks/database_tasks.rb:238:in `migrate'
/var/www/discourse/lib/tasks/db.rake:215:in `block in <main>'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rake-13.0.3/exe/rake:27:in `<top (required)>'
/usr/local/bin/bundle:23:in `load'
/usr/local/bin/bundle:23:in `<main>'
Tasks: TOP => db:migrate
(See full trace by running task with --trace)
I, [2021-03-08T14:43:47.231784 #1]  INFO -- : == 20000225050318 AddSchemaMigrationDetails: migrating ========================
-- create_table(:schema_migration_details, {:id=>:integer})

I, [2021-03-08T14:43:47.236183 #1]  INFO -- : Terminating async processes
I, [2021-03-08T14:43:47.237429 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/12/bin/postmaster -D /etc/postgresql/12/main pid: 49
2021-03-08 14:43:47.238 UTC [49] LOG:  received fast shutdown request
I, [2021-03-08T14:43:47.240057 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 166
166:signal-handler (1615214627) Received SIGTERM scheduling shutdown...
2021-03-08 14:43:47.249 UTC [49] LOG:  aborting any active transactions
2021-03-08 14:43:47.272 UTC [49] LOG:  background worker "logical replication launcher" (PID 58) exited with exit code 1
2021-03-08 14:43:47.273 UTC [53] LOG:  shutting down
2021-03-08 14:43:47.316 UTC [49] LOG:  database system is shut down
166:M 08 Mar 2021 14:43:47.336 # User requested shutdown...
166:M 08 Mar 2021 14:43:47.336 * Saving the final RDB snapshot before exiting.
166:M 08 Mar 2021 14:43:47.341 * DB saved on disk
166:M 08 Mar 2021 14:43:47.341 # Redis is now ready to exit, bye bye...


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate' failed with return #<Process::Status: pid 4977 exit 1>
Location of failure: /pups/lib/pups/exec_command.rb:112:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"db_migrate", "cmd"=>["su discourse -c 'bundle exec rake db:migrate'"]}
0a8804c5f02d6e214348da2d0809992bad31b4a14b0245661ecc0ddc4b96b2e5
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.

I need a few lines above the first one you posted.

@Falco @pfaffman

  Installing rake 13.0.3
0:  rake (13.0.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rake-13.0.3.gemspec
Fetching concurrent-ruby 1.1.8
Fetching minitest 5.14.4
Using thread_safe 0.3.6
Fetching zeitwerk 2.4.2
2:  thread_safe (0.3.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/thread_safe-0.3.6.gemspec
Using builder 3.2.4
2:  builder (3.2.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/builder-3.2.4.gemspec
Fetching erubi 1.10.0
Installing erubi 1.10.0
Installing zeitwerk 2.4.2
Installing minitest 5.14.4
2:  erubi (1.10.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/erubi-1.10.0.gemspec
Fetching racc 1.5.2
Installing concurrent-ruby 1.1.8
0:  zeitwerk (2.4.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/zeitwerk-2.4.2.gemspec
Using crass 1.0.6
0:  crass (1.0.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/crass-1.0.6.gemspec
Using rack 2.2.3
0:  rack (2.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rack-2.2.3.gemspec
Using mini_mime 1.0.2
0:  mini_mime (1.0.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mini_mime-1.0.2.gemspec
Using public_suffix 4.0.6
0:  public_suffix (4.0.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/public_suffix-4.0.6.gemspec
Fetching aws-eventstream 1.1.1
Installing aws-eventstream 1.1.1
3:  minitest (5.14.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/minitest-5.14.4.gemspec
Fetching aws-partitions 1.390.0
0:  aws-eventstream (1.1.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-eventstream-1.1.1.gemspec
Using jmespath 1.4.0
0:  jmespath (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/jmespath-1.4.0.gemspec
Using ember-source 2.18.2
0:  ember-source (2.18.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ember-source-2.18.2.gemspec
Using execjs 2.7.0
0:  execjs (2.7.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/execjs-2.7.0.gemspec
Installing racc 1.5.2 with native extensions
Fetching msgpack 1.4.2
Installing aws-partitions 1.390.0
Installing msgpack 1.4.2 with native extensions
3:  aws-partitions (1.390.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-partitions-1.390.0.gemspec
Using bundler 2.2.13
3:  bundler (2.2.13) from /usr/local/lib/ruby/gems/2.6.0/specifications/bundler-2.2.13.gemspec
Using byebug 11.1.3
3:  byebug (11.1.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/byebug-11.1.3.gemspec
Using cbor 0.5.9.6
3:  cbor (0.5.9.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/cbor-0.5.9.6.gemspec
Fetching chunky_png 1.4.0
Installing chunky_png 1.4.0
Building native extensions. This could take a while...
1:  concurrent-ruby (1.1.8) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/concurrent-ruby-1.1.8.gemspec
Using coderay 1.1.3
1:  coderay (1.1.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/coderay-1.1.3.gemspec
Using colored2 3.1.2
1:  colored2 (3.1.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/colored2-3.1.2.gemspec
Using connection_pool 2.2.3
1:  connection_pool (2.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/connection_pool-2.2.3.gemspec
Building native extensions. This could take a while...
3:  chunky_png (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/chunky_png-1.4.0.gemspec
Using cppjieba_rb 0.3.3
3:  cppjieba_rb (0.3.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/cppjieba_rb-0.3.3.gemspec
Using diffy 3.4.0
3:  diffy (3.4.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/diffy-3.4.0.gemspec
Using method_source 1.0.0
3:  method_source (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/method_source-1.0.0.gemspec
Fetching openssl 2.2.0
0:  msgpack (1.4.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/msgpack-1.4.2.gemspec
Using discourse-ember-source 3.12.2.2
0:  discourse-ember-source (3.12.2.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/discourse-ember-source-3.12.2.2.gemspec
Installing openssl 2.2.0 with native extensions
Building native extensions. This could take a while...
Fetching thor 1.1.0
Fetching discourse-fonts 0.0.7
2:  racc (1.5.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/racc-1.5.2.gemspec
Installing thor 1.1.0
3:  thor (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/thor-1.1.0.gemspec
Using fspath 3.1.2
3:  fspath (3.1.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/fspath-3.1.2.gemspec
Using image_size 1.5.0
3:  image_size (1.5.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/image_size-1.5.0.gemspec
Using in_threads 1.5.4
3:  in_threads (1.5.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/in_threads-1.5.4.gemspec
Using progress 3.5.2
3:  progress (3.5.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/progress-3.5.2.gemspec
Using email_reply_trimmer 0.1.13
3:  email_reply_trimmer (0.1.13) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/email_reply_trimmer-0.1.13.gemspec
Installing discourse-fonts 0.0.7
0:  discourse-fonts (0.0.7) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/discourse-fonts-0.0.7.gemspec
Fetching exifr 1.3.9
Fetching faraday-net_http 1.0.1
Fetching excon 0.79.0
1:  openssl (2.2.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/openssl-2.2.0.gemspec
Using multipart-post 2.1.1
1:  multipart-post (2.1.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/multipart-post-2.1.1.gemspec
Fetching ruby2_keywords 0.0.4
Installing faraday-net_http 1.0.1
Installing ruby2_keywords 0.0.4
Installing excon 0.79.0
Installing exifr 1.3.9
1:  ruby2_keywords (0.0.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ruby2_keywords-0.0.4.gemspec
Using fast_blank 1.0.0
1:  fast_blank (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/fast_blank-1.0.0.gemspec
Using fast_xs 0.8.0
1:  fast_xs (0.8.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/fast_xs-0.8.0.gemspec
Fetching fastimage 2.2.3
0:  faraday-net_http (1.0.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/faraday-net_http-1.0.1.gemspec
Fetching ffi 1.15.0
Installing fastimage 2.2.3
1:  fastimage (2.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/fastimage-2.2.3.gemspec
Using gc_tracer 1.5.1
1:  gc_tracer (1.5.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/gc_tracer-1.5.1.gemspec
Using guess_html_encoding 0.0.11
1:  guess_html_encoding (0.0.11) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/guess_html_encoding-0.0.11.gemspec
Using hashie 4.1.0
1:  hashie (4.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/hashie-4.1.0.gemspec
Using highline 2.0.3
1:  highline (2.0.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/highline-2.0.3.gemspec
Using hkdf 0.3.0
1:  hkdf (0.3.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/hkdf-0.3.0.gemspec
Using htmlentities 4.3.4
1:  htmlentities (4.3.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/htmlentities-4.3.4.gemspec
Using http_accept_language 2.1.1
1:  http_accept_language (2.1.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/http_accept_language-2.1.1.gemspec
Fetching json 2.5.1
Installing json 2.5.1 with native extensions
2:  exifr (1.3.9) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/exifr-1.3.9.gemspec
Using jwt 2.2.2
2:  jwt (2.2.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/jwt-2.2.2.gemspec
Using kgio 2.11.3
2:  kgio (2.11.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/kgio-2.11.3.gemspec
Using libv8 8.4.255.0 (x86_64-linux)
2:  libv8 (8.4.255.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/libv8-8.4.255.0-x86_64-linux.gemspec
Using logstash-event 1.2.02
2:  logstash-event (1.2.02) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/logstash-event-1.2.02.gemspec
Fetching logster 2.9.6
3:  excon (0.79.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/excon-0.79.0.gemspec
Using lru_redux 1.1.0
3:  lru_redux (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/lru_redux-1.1.0.gemspec
Using lz4-ruby 0.3.3
3:  lz4-ruby (0.3.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/lz4-ruby-0.3.3.gemspec
Using maxminddb 0.1.22
3:  maxminddb (0.1.22) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/maxminddb-0.1.22.gemspec
Fetching memory_profiler 1.0.0
Installing memory_profiler 1.0.0
Installing ffi 1.15.0 with native extensions
3:  memory_profiler (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/memory_profiler-1.0.0.gemspec
Fetching redis 4.2.5
Installing logster 2.9.6
Installing redis 4.2.5
3:  redis (4.2.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/redis-4.2.5.gemspec
Fetching mini_sql 1.0.1
Building native extensions. This could take a while...
Installing mini_sql 1.0.1
3:  mini_sql (1.0.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mini_sql-1.0.1.gemspec
Using multi_json 1.15.0
3:  multi_json (1.15.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/multi_json-1.15.0.gemspec
Using multi_xml 0.6.0
3:  multi_xml (0.6.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/multi_xml-0.6.0.gemspec
Using mustache 1.1.1
3:  mustache (1.1.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mustache-1.1.1.gemspec
2:  logster (2.9.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/logster-2.9.6.gemspec
Building native extensions. This could take a while...
Fetching nio4r 2.5.7
Fetching oauth 0.5.5
Installing oauth 0.5.5
Installing nio4r 2.5.7 with native extensions
2:  oauth (0.5.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/oauth-0.5.5.gemspec
Building native extensions. This could take a while...
0:  ffi (1.15.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ffi-1.15.0.gemspec
Using optimist 3.0.1
0:  optimist (3.0.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/optimist-3.0.1.gemspec
Using pg 1.2.3
0:  pg (1.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/pg-1.2.3.gemspec
Using r2 0.2.7
0:  r2 (0.2.7) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/r2-0.2.7.gemspec
Using raindrops 0.19.1
0:  raindrops (0.19.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/raindrops-0.19.1.gemspec
Using rchardet 1.8.0
0:  rchardet (1.8.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rchardet-1.8.0.gemspec
Using rinku 2.0.6
0:  rinku (2.0.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rinku-2.0.6.gemspec
Using rotp 6.2.0
0:  rotp (6.2.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rotp-6.2.0.gemspec
Fetching oj 3.11.2
Installing oj 3.11.2 with native extensions
Building native extensions. This could take a while...
Fetching rqrcode_core 0.2.0
3:  nio4r (2.5.7) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/nio4r-2.5.7.gemspec
Using rtlit 0.0.5
3:  rtlit (0.0.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rtlit-0.0.5.gemspec
Using rubyzip 2.3.0
3:  rubyzip (2.3.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rubyzip-2.3.0.gemspec
Using tilt 2.0.10
3:  tilt (2.0.10) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/tilt-2.0.10.gemspec
Using sshkey 2.0.0
3:  sshkey (2.0.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sshkey-2.0.0.gemspec
Installing rqrcode_core 0.2.0
0:  rqrcode_core (0.2.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rqrcode_core-0.2.0.gemspec
Using unf_ext 0.0.7.7
0:  unf_ext (0.0.7.7) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/unf_ext-0.0.7.7.gemspec
Using xorcist 1.1.2
0:  xorcist (1.1.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/xorcist-1.1.2.gemspec
1:  json (2.5.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/json-2.5.1.gemspec
Using rack-test 1.1.0
1:  rack-test (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rack-test-1.1.0.gemspec
Using mail 2.8.0.edge from https://github.com/discourse/mail.git (at master@5b700fc)
1:  mail (2.8.0.edge) from /var/www/discourse/vendor/bundle/ruby/2.6.0/bundler/gems/mail-5b700fc95ee6/mail.gemspec
Using addressable 2.7.0
1:  addressable (2.7.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/addressable-2.7.0.gemspec
Using request_store 1.5.0
1:  request_store (1.5.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/request_store-1.5.0.gemspec
Fetching stackprof 0.2.16
Fetching tzinfo 1.2.9
Fetching message_bus 3.3.4
2:  oj (3.11.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/oj-3.11.2.gemspec
Fetching rack-mini-profiler 2.3.1
Installing stackprof 0.2.16 with native extensions
Installing tzinfo 1.2.9
Installing rack-mini-profiler 2.3.1
Installing message_bus 3.3.4
Building native extensions. This could take a while...
2:  rack-mini-profiler (2.3.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rack-mini-profiler-2.3.1.gemspec
Using rack-protection 2.1.0
2:  rack-protection (2.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rack-protection-2.1.0.gemspec
0:  tzinfo (1.2.9) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/tzinfo-1.2.9.gemspec
Using barber 0.12.2
0:  barber (0.12.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/barber-0.12.2.gemspec
Using ember-data-source 3.0.2
0:  ember-data-source (3.0.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ember-data-source-3.0.2.gemspec
Using uglifier 4.2.0
0:  uglifier (4.2.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/uglifier-4.2.0.gemspec
1:  message_bus (3.3.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/message_bus-3.3.4.gemspec
Using sprockets 3.7.2
1:  sprockets (3.7.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sprockets-3.7.2.gemspec
Using pry 0.13.1
1:  pry (0.13.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/pry-0.13.1.gemspec
Fetching aws-sigv4 1.2.2
Fetching i18n 1.8.9
Fetching bootsnap 1.7.2
3:  stackprof (0.2.16) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/stackprof-0.2.16.gemspec
Fetching nokogiri 1.11.1 (x86_64-linux)
Installing aws-sigv4 1.2.2
Installing bootsnap 1.7.2 with native extensions
Installing i18n 1.8.9
2:  aws-sigv4 (1.2.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-sigv4-1.2.2.gemspec
Fetching openssl-signature_algorithm 1.1.1
Installing openssl-signature_algorithm 1.1.1
Building native extensions. This could take a while...
2:  openssl-signature_algorithm (1.1.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/openssl-signature_algorithm-1.1.1.gemspec
0:  i18n (1.8.9) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/i18n-1.8.9.gemspec
Using omniauth 1.9.1
0:  omniauth (1.9.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-1.9.1.gemspec
Using discourse_image_optim 0.26.2
0:  discourse_image_optim (0.26.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/discourse_image_optim-0.26.2.gemspec
Using logstash-logger 0.26.1
0:  logstash-logger (0.26.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/logstash-logger-0.26.1.gemspec
Using mini_racer 0.3.1
0:  mini_racer (0.3.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mini_racer-0.3.1.gemspec
Installing nokogiri 1.11.1 (x86_64-linux)
3:  nokogiri (1.11.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/nokogiri-1.11.1-x86_64-linux.gemspec
Fetching faraday 1.3.0
Fetching webpush 1.1.0
Fetching sidekiq 6.1.3
1:  bootsnap (1.7.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/bootsnap-1.7.2.gemspec
Fetching redis-namespace 1.8.1
Installing webpush 1.1.0
Installing redis-namespace 1.8.1
Installing faraday 1.3.0
Installing sidekiq 6.1.3
1:  redis-namespace (1.8.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/redis-namespace-1.8.1.gemspec
Fetching mini_suffix 0.3.2
0:  webpush (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/webpush-1.1.0.gemspec
Using sassc 2.0.1
0:  sassc (2.0.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sassc-2.0.1.gemspec
Using rbtrace 0.4.14
0:  rbtrace (0.4.14) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rbtrace-0.4.14.gemspec
Fetching unicorn 5.8.0
Installing mini_suffix 0.3.2
Installing unicorn 5.8.0 with native extensions
1:  mini_suffix (0.3.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mini_suffix-0.3.2.gemspec
Fetching puma 5.2.2
Installing puma 5.2.2 with native extensions
2:  faraday (1.3.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/faraday-1.3.0.gemspec
Fetching rqrcode 1.2.0
Installing rqrcode 1.2.0
3:  sidekiq (6.1.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sidekiq-6.1.3.gemspec
Using unf 0.1.4
3:  unf (0.1.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/unf-0.1.4.gemspec
Fetching css_parser 1.9.0
2:  rqrcode (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rqrcode-1.2.0.gemspec
Using ember-handlebars-template 0.8.0
2:  ember-handlebars-template (0.8.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ember-handlebars-template-0.8.0.gemspec
Using pry-byebug 3.9.0
2:  pry-byebug (3.9.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/pry-byebug-3.9.0.gemspec
Using pry-rails 0.3.9
2:  pry-rails (0.3.9) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/pry-rails-0.3.9.gemspec
Fetching aws-sdk-core 3.109.2
Installing css_parser 1.9.0
Installing aws-sdk-core 3.109.2
3:  css_parser (1.9.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/css_parser-1.9.0.gemspec
Using cose 1.2.0
3:  cose (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/cose-1.2.0.gemspec
Fetching activesupport 6.0.3.5
Building native extensions. This could take a while...
Building native extensions. This could take a while...
Installing activesupport 6.0.3.5
2:  aws-sdk-core (3.109.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-sdk-core-3.109.2.gemspec
3:  activesupport (6.0.3.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/activesupport-6.0.3.5.gemspec
1:  puma (5.2.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/puma-5.2.2.gemspec
Fetching omniauth-oauth 1.2.0
Fetching loofah 2.9.0
Fetching nokogumbo 2.0.4
0:  unicorn (5.8.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/unicorn-5.8.0.gemspec
Using ruby-readability 0.7.0
0:  ruby-readability (0.7.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ruby-readability-0.7.0.gemspec
Using oauth2 1.4.4
0:  oauth2 (1.4.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/oauth2-1.4.4.gemspec
Fetching mini_scheduler 0.13.0
Installing omniauth-oauth 1.2.0
Installing loofah 2.9.0
Installing nokogumbo 2.0.4 with native extensions
2:  omniauth-oauth (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-oauth-1.2.0.gemspec
Fetching aws-sdk-kms 1.39.0
3:  loofah (2.9.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/loofah-2.9.0.gemspec
Fetching aws-sdk-sns 1.35.0
Installing aws-sdk-kms 1.39.0
Installing mini_scheduler 0.13.0
Installing aws-sdk-sns 1.35.0
2:  aws-sdk-kms (1.39.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-sdk-kms-1.39.0.gemspec
Using rails-dom-testing 2.0.3
2:  rails-dom-testing (2.0.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rails-dom-testing-2.0.3.gemspec
Using globalid 0.4.2
2:  globalid (0.4.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/globalid-0.4.2.gemspec
Fetching activemodel 6.0.3.5
0:  mini_scheduler (0.13.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mini_scheduler-0.13.0.gemspec
Fetching omniauth-oauth2 1.7.1
3:  aws-sdk-sns (1.35.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-sdk-sns-1.35.0.gemspec
Using omniauth-twitter 1.4.0
3:  omniauth-twitter (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-twitter-1.4.0.gemspec
Using rails-html-sanitizer 1.3.0
3:  rails-html-sanitizer (1.3.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rails-html-sanitizer-1.3.0.gemspec
Fetching aws-sdk-s3 1.83.2
Installing omniauth-oauth2 1.7.1
Installing activemodel 6.0.3.5
Building native extensions. This could take a while...
0:  omniauth-oauth2 (1.7.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-oauth2-1.7.1.gemspec
Installing aws-sdk-s3 1.83.2
2:  activemodel (6.0.3.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/activemodel-6.0.3.5.gemspec
3:  aws-sdk-s3 (1.83.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-sdk-s3-1.83.2.gemspec
Fetching activejob 6.0.3.5
Fetching omniauth-facebook 8.0.0
Fetching actionview 6.0.3.5
1:  nokogumbo (2.0.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/nokogumbo-2.0.4.gemspec
Using omniauth-github 1.4.0
1:  omniauth-github (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-github-1.4.0.gemspec
Fetching omniauth-google-oauth2 0.8.1
Installing omniauth-facebook 8.0.0
Installing activejob 6.0.3.5
Installing omniauth-google-oauth2 0.8.1
Installing actionview 6.0.3.5
1:  omniauth-google-oauth2 (0.8.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-google-oauth2-0.8.1.gemspec
Using active_model_serializers 0.8.4
1:  active_model_serializers (0.8.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/active_model_serializers-0.8.4.gemspec
3:  omniauth-facebook (8.0.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-facebook-8.0.0.gemspec
Fetching sanitize 5.2.3
Fetching activerecord 6.0.3.5
Installing sanitize 5.2.3
0:  activejob (6.0.3.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/activejob-6.0.3.5.gemspec
Installing activerecord 6.0.3.5
3:  sanitize (5.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sanitize-5.2.3.gemspec
Fetching onebox 2.2.6
Installing onebox 2.2.6
2:  actionview (6.0.3.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/actionview-6.0.3.5.gemspec
Fetching actionview_precompiler 0.2.3
Fetching actionpack 6.0.3.5
Installing actionview_precompiler 0.2.3
Installing actionpack 6.0.3.5
2:  actionview_precompiler (0.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/actionview_precompiler-0.2.3.gemspec
0:  onebox (2.2.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/onebox-2.2.6.gemspec
3:  actionpack (6.0.3.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/actionpack-6.0.3.5.gemspec
Fetching railties 6.0.3.5
Using sprockets-rails 3.2.2
3:  sprockets-rails (3.2.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sprockets-rails-3.2.2.gemspec
Fetching actionmailer 6.0.3.5
Installing actionmailer 6.0.3.5
Installing railties 6.0.3.5
2:  actionmailer (6.0.3.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/actionmailer-6.0.3.5.gemspec
1:  activerecord (6.0.3.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/activerecord-6.0.3.5.gemspec
Using seed-fu 2.3.9
3:  seed-fu (2.3.9) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/seed-fu-2.3.9.gemspec
0:  railties (6.0.3.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/railties-6.0.3.5.gemspec
Using jquery-rails 4.4.0
2:  jquery-rails (4.4.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/jquery-rails-4.4.0.gemspec
Using lograge 0.11.2
2:  lograge (0.11.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/lograge-0.11.2.gemspec
Fetching rails_failover 0.6.5
Using rails_multisite 2.5.0
1:  rails_multisite (2.5.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rails_multisite-2.5.0.gemspec
Using sassc-rails 2.1.2
1:  sassc-rails (2.1.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sassc-rails-2.1.2.gemspec
Using discourse-ember-rails 0.18.6
1:  discourse-ember-rails (0.18.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/discourse-ember-rails-0.18.6.gemspec
Installing rails_failover 0.6.5
2:  rails_failover (0.6.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rails_failover-0.6.5.gemspec
Bundle complete! 124 Gemfile dependencies, 162 gems now installed.
Gems in the groups test and development were not installed.
Bundled gems are installed into `./vendor/bundle`

I, [2021-03-08T17:35:48.803813 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake plugin:pull_compatible_all'
I, [2021-03-08T17:35:59.239142 #1]  INFO -- : docker_manager is already at latest compatible version

I, [2021-03-08T17:35:59.241248 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate'
2021-03-08 17:36:07.259 UTC [4992] discourse@discourse ERROR:  relation "translation_overrides" does not exist at character 454
2021-03-08 17:36:07.259 UTC [4992] discourse@discourse STATEMENT:  SELECT a.attname, format_type(a.atttypid, a.atttypmod),
               pg_get_expr(d.adbin, d.adrelid), a.attnotnull, a.atttypid, a.atttypmod,
               c.collname, col_description(a.attrelid, a.attnum) AS comment
          FROM pg_attribute a
          LEFT JOIN pg_attrdef d ON a.attrelid = d.adrelid AND a.attnum = d.adnum
          LEFT JOIN pg_type t ON a.atttypid = t.oid
          LEFT JOIN pg_collation c ON a.attcollation = c.oid AND a.attcollation <> t.typcollation
         WHERE a.attrelid = '"translation_overrides"'::regclass
           AND a.attnum > 0 AND NOT a.attisdropped
         ORDER BY a.attnum

2021-03-08 17:36:09.173 UTC [5002] discourse@discourse ERROR:  could not read block 0 in file "base/16384/2604": read only 0 of 8192 bytes
2021-03-08 17:36:09.173 UTC [5002] discourse@discourse STATEMENT:  CREATE TABLE "schema_migration_details" ("id" serial NOT NULL PRIMARY KEY, "version" character varying NOT NULL, "name" character varying, "hostname" character varying, "git_version" character varying, "rails_version" character varying, "duration" integer, "direction" character varying, "created_at" timestamp NOT NULL)
rake aborted!
StandardError: An error has occurred, this and all later migrations canceled:

PG::DataCorrupted: ERROR:  could not read block 0 in file "base/16384/2604": read only 0 of 8192 bytes
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rack-mini-profiler-2.3.1/lib/patches/db/pg.rb:110:in `exec'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rack-mini-profiler-2.3.1/lib/patches/db/pg.rb:110:in `async_exec'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/postgresql/database_statements.rb:92:in `block (2 levels) in execute'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/dependencies/interlock.rb:48:in `block in permit_concurrent_loads'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/share_lock.rb:187:in `yield_shares'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/dependencies/interlock.rb:47:in `permit_concurrent_loads'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/postgresql/database_statements.rb:91:in `block in execute'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract_adapter.rb:722:in `block (2 levels) in log'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:26:in `block (2 levels) in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract_adapter.rb:721:in `block in log'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/notifications/instrumenter.rb:24:in `instrument'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract_adapter.rb:712:in `log'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/postgresql/database_statements.rb:90:in `execute'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/schema_statements.rb:315:in `create_table'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:890:in `block in method_missing'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:858:in `block in say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:858:in `say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:879:in `method_missing'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration/compatibility.rb:44:in `create_table'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration/compatibility.rb:104:in `create_table'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration/compatibility.rb:142:in `create_table'
/var/www/discourse/db/migrate/20000225050318_add_schema_migration_details.rb:9:in `up'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:831:in `exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:9:in `block in exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:8:in `exec_migration'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:812:in `block (2 levels) in migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:811:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/connection_pool.rb:471:in `with_connection'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:810:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1002:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1310:in `block in execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1361:in `block in ddl_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/database_statements.rb:280:in `block in transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/transaction.rb:280:in `block in within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:26:in `block (2 levels) in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/transaction.rb:278:in `within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/database_statements.rb:280:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/transactions.rb:212:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1361:in `ddl_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1309:in `execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1281:in `block in migrate_without_lock'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1280:in `each'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1280:in `migrate_without_lock'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1229:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1382:in `with_advisory_lock'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1229:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1061:in `up'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1036:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/tasks/database_tasks.rb:238:in `migrate'
/var/www/discourse/lib/tasks/db.rake:215:in `block in <main>'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rake-13.0.3/exe/rake:27:in `<top (required)>'
/usr/local/bin/bundle:23:in `load'
/usr/local/bin/bundle:23:in `<main>'

Caused by:
ActiveRecord::StatementInvalid: PG::DataCorrupted: ERROR:  could not read block 0 in file "base/16384/2604": read only 0 of 8192 bytes
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rack-mini-profiler-2.3.1/lib/patches/db/pg.rb:110:in `exec'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rack-mini-profiler-2.3.1/lib/patches/db/pg.rb:110:in `async_exec'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/postgresql/database_statements.rb:92:in `block (2 levels) in execute'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/dependencies/interlock.rb:48:in `block in permit_concurrent_loads'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/share_lock.rb:187:in `yield_shares'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/dependencies/interlock.rb:47:in `permit_concurrent_loads'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/postgresql/database_statements.rb:91:in `block in execute'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract_adapter.rb:722:in `block (2 levels) in log'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:26:in `block (2 levels) in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract_adapter.rb:721:in `block in log'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/notifications/instrumenter.rb:24:in `instrument'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract_adapter.rb:712:in `log'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/postgresql/database_statements.rb:90:in `execute'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/schema_statements.rb:315:in `create_table'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:890:in `block in method_missing'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:858:in `block in say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:858:in `say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:879:in `method_missing'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration/compatibility.rb:44:in `create_table'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration/compatibility.rb:104:in `create_table'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration/compatibility.rb:142:in `create_table'
/var/www/discourse/db/migrate/20000225050318_add_schema_migration_details.rb:9:in `up'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:831:in `exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:9:in `block in exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:8:in `exec_migration'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:812:in `block (2 levels) in migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:811:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/connection_pool.rb:471:in `with_connection'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:810:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1002:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1310:in `block in execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1361:in `block in ddl_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/database_statements.rb:280:in `block in transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/transaction.rb:280:in `block in within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:26:in `block (2 levels) in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/transaction.rb:278:in `within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/database_statements.rb:280:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/transactions.rb:212:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1361:in `ddl_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1309:in `execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1281:in `block in migrate_without_lock'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1280:in `each'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1280:in `migrate_without_lock'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1229:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1382:in `with_advisory_lock'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1229:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1061:in `up'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1036:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/tasks/database_tasks.rb:238:in `migrate'
/var/www/discourse/lib/tasks/db.rake:215:in `block in <main>'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rake-13.0.3/exe/rake:27:in `<top (required)>'
/usr/local/bin/bundle:23:in `load'
/usr/local/bin/bundle:23:in `<main>'

Caused by:
PG::DataCorrupted: ERROR:  could not read block 0 in file "base/16384/2604": read only 0 of 8192 bytes
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rack-mini-profiler-2.3.1/lib/patches/db/pg.rb:110:in `exec'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rack-mini-profiler-2.3.1/lib/patches/db/pg.rb:110:in `async_exec'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/postgresql/database_statements.rb:92:in `block (2 levels) in execute'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/dependencies/interlock.rb:48:in `block in permit_concurrent_loads'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/share_lock.rb:187:in `yield_shares'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/dependencies/interlock.rb:47:in `permit_concurrent_loads'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/postgresql/database_statements.rb:91:in `block in execute'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract_adapter.rb:722:in `block (2 levels) in log'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:26:in `block (2 levels) in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract_adapter.rb:721:in `block in log'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/notifications/instrumenter.rb:24:in `instrument'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract_adapter.rb:712:in `log'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/postgresql/database_statements.rb:90:in `execute'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/schema_statements.rb:315:in `create_table'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:890:in `block in method_missing'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:858:in `block in say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:858:in `say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:879:in `method_missing'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration/compatibility.rb:44:in `create_table'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration/compatibility.rb:104:in `create_table'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration/compatibility.rb:142:in `create_table'
/var/www/discourse/db/migrate/20000225050318_add_schema_migration_details.rb:9:in `up'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:831:in `exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:9:in `block in exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:8:in `exec_migration'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:812:in `block (2 levels) in migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:811:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/connection_pool.rb:471:in `with_connection'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:810:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1002:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1310:in `block in execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1361:in `block in ddl_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/database_statements.rb:280:in `block in transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/transaction.rb:280:in `block in within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:26:in `block (2 levels) in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activesupport-6.0.3.5/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/transaction.rb:278:in `within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/connection_adapters/abstract/database_statements.rb:280:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/transactions.rb:212:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1361:in `ddl_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1309:in `execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1281:in `block in migrate_without_lock'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1280:in `each'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1280:in `migrate_without_lock'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1229:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1382:in `with_advisory_lock'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1229:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1061:in `up'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/migration.rb:1036:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/activerecord-6.0.3.5/lib/active_record/tasks/database_tasks.rb:238:in `migrate'
/var/www/discourse/lib/tasks/db.rake:215:in `block in <main>'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rake-13.0.3/exe/rake:27:in `<top (required)>'
/usr/local/bin/bundle:23:in `load'
/usr/local/bin/bundle:23:in `<main>'
Tasks: TOP => db:migrate
(See full trace by running task with --trace)
I, [2021-03-08T17:36:09.240698 #1]  INFO -- : == 20000225050318 AddSchemaMigrationDetails: migrating ========================
-- create_table(:schema_migration_details, {:id=>:integer})

I, [2021-03-08T17:36:09.244106 #1]  INFO -- : Terminating async processes
I, [2021-03-08T17:36:09.245064 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/12/bin/postmaster -D /etc/postgresql/12/main pid: 49
2021-03-08 17:36:09.246 UTC [49] LOG:  received fast shutdown request
I, [2021-03-08T17:36:09.247210 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 166
166:signal-handler (1615224969) Received SIGTERM scheduling shutdown...
2021-03-08 17:36:09.255 UTC [49] LOG:  aborting any active transactions
2021-03-08 17:36:09.267 UTC [49] LOG:  background worker "logical replication launcher" (PID 58) exited with exit code 1
2021-03-08 17:36:09.272 UTC [53] LOG:  shutting down
2021-03-08 17:36:09.316 UTC [49] LOG:  database system is shut down
166:M 08 Mar 2021 17:36:09.347 # User requested shutdown...
166:M 08 Mar 2021 17:36:09.348 * Saving the final RDB snapshot before exiting.
166:M 08 Mar 2021 17:36:09.354 * DB saved on disk
166:M 08 Mar 2021 17:36:09.355 # Redis is now ready to exit, bye bye...


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate' failed with return #<Process::Status: pid 4981 exit 1>
Location of failure: /pups/lib/pups/exec_command.rb:112:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"db_migrate", "cmd"=>["su discourse -c 'bundle exec rake db:migrate'"]}
09aa7ca700c73eb22ca8a1a4a39c337fd0100c737a3ecd5bdb529f9c1753ba38
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.

This looks bad :scream:

How exactly did you install Discourse? Did you follow the Discourse official Standard Installation ? Is this a brand new install?

1 Like

yes I did

no, it’s not a new installation

plz help

can i restore backup?